# vim: set ts=2 sw=2 sts=2 et:
#
# Demo data
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XC\ProductTags\Model\Tag:
  - {position: 20, translations: [{code: en, name: 'Phone'}]}
  - {position: 30, translations: [{code: en, name: 'Car'}]}
  - {position: 40, translations: [{code: en, name: 'Notebook'}]}
  - {position: 50, translations: [{code: en, name: 'man'}]}
  - {position: 60, translations: [{code: en, name: 'woman'}]}
XLite\Model\Profile:
  - login: bit-bucket+customer@example.com
    password: '084e0343a0486ff05530df6c705c8bb4'
    access_level: 0
    status: E
    addresses:
      - is_billing: true
        is_shipping: false
        addressFields:
          - addressField: {serviceName: title}
            value: 'Mr.'
          - addressField: {serviceName: firstname}
            value: John
          - addressField: {serviceName: lastname}
            value: Smith
          - addressField: {serviceName: phone}
            value: '+14045555555'
          - addressField: {serviceName: address1}
            value: '12 apt, 18 street'
          - addressField: {serviceName: city}
            value: Atlanta
          - addressField: {serviceName: state_id}
            value: 553
          - addressField: {serviceName: country_code}
            value: US
          - addressField: {serviceName: zipcode}
            value: '12345'
      - is_billing: false
        is_shipping: true
        country: {code: RU}
        addressFields:
          - addressField: {serviceName: title}
            value: 'Mr.'
          - addressField: {serviceName: firstname}
            value: John
          - addressField: {serviceName: lastname}
            value: Smith
          - addressField: {serviceName: phone}
            value: '+79051230101'
          - addressField: {serviceName: address1}
            value: '1 apt, Tverskaya street'
          - addressField: {serviceName: city}
            value: Moscow
          - addressField: {serviceName: country_code}
            value: RU
          - addressField: {serviceName: zipcode}
            value: '156000'
      - is_billing: false
        is_shipping: false
        country: {code: RU}
        addressFields:
          - addressField: {serviceName: title}
            value: 'Mr.'
          - addressField: {serviceName: firstname}
            value: John
          - addressField: {serviceName: lastname}
            value: Smith
          - addressField: {serviceName: phone}
            value: '+79051270000'
          - addressField: {serviceName: address1}
            value: '15 Nevskiy'
          - addressField: {serviceName: city}
            value: St. Petersburg
          - addressField: {serviceName: country_code}
            value: RU
          - addressField: {serviceName: zipcode}
            value: '333000'
      - is_billing: false
        is_shipping: false
        country: {code: UA}
        addressFields:
          - addressField: {serviceName: title}
            value: 'Mr.'
          - addressField: {serviceName: firstname}
            value: John
          - addressField: {serviceName: lastname}
            value: Smith
          - addressField: {serviceName: phone}
            value: '+380689061516'
          - addressField: {serviceName: address1}
            value: '10 Svetlaya'
          - addressField: {serviceName: city}
            value: Kiev
          - addressField: {serviceName: country_code}
            value: UA
          - addressField: {serviceName: zipcode}
            value: '444000'
XLite\Model\Order:
  - order_id: 10
    profile:
      login: bit-bucket+customer@example.com
      cms_profile_id: 0
      addresses:
        - is_billing: true
          is_shipping: true
          addressFields:
            - addressField: {serviceName: title}
              value: 'Mr.'
            - addressField: {serviceName: firstname}
              value: Guest
            - addressField: {serviceName: lastname}
              value: Guest
            - addressField: {serviceName: phone}
              value: '+14055555555'
            - addressField: {serviceName: address1}
              value: '51 apt, 87 street'
            - addressField: {serviceName: city}
              value: Edmond
            - addressField: {serviceName: state_id}
              value: 580
            - addressField: {serviceName: country_code}
              value: US
            - addressField: {serviceName: zipcode}
              value: '73003'
            - addressField: {serviceName: custom_state}
              value: Oklahoma
    orig_profile: {login: bit-bucket+customer@example.com}
    total: 18.4900
    subtotal: 19.9900
    date: 1394005540
    currency: {code: USD}
    paymentStatus: {code: P}
    shippingStatus: {code: D}
    orderNumber: 10
    shipping: {processor: offline, code: Courier}
    recent: 0
    note: 'Please send me this'
    adminNote: 'Good client'
    payment_transactions:
      - method_name: MoneyOrdering
        method_local_name: 'Money Ordering'
        payment_method: {service_name: MoneyOrdering}
        currency: {code: 'USD'}
        date: 1394005540
        status: S
        value: 110.65
        type: sale
        note: ''
        publicTxnId: '000001-KGSP'
        public_id: 'demostore-000001-KGSP'
    items:
      - object: {sku: '10000000118'}
        name: 'Perfect Snacks [Wholesale prices]'
        sku: '10000000118'
        price: 19.9900
        itemNetPrice: 19.9900
        discountedSubtotal: 16.9900
        amount: 1
        subtotal: 19.9900
        total: 19.9900
        object_type: product
    surcharges:
      - type: shipping
        code: SHIPPING
        class: '\XLite\Logic\Order\Modifier\Shipping'
        name: Shipping cost
        value: 1.5000
      - type: discount
        code: DISCOUNT
        class: '\CDev\VolumeDiscounts\Logic\Order\Modifier\Discount'
        name: Discount
        value: -3.00
    events:
      - date: 1394005540
        code: PLACE ORDER
        description: Order placed
        author: {login: bit-bucket@example.com}
      - date: 1394005540
        code: TRANSACTION
        description: 'Payment transaction [method: Phone Ordering, type: sale, amount: 18.49, status: Pending]'
        author: {login: bit-bucket@example.com}
      - date: 1394005540
        code: EMAIL ADMIN SENT
        description: Email sent to the admin
        data: {orderId: 1}
        comment: Order is initially created
        author: {login: bit-bucket@example.com}
CDev\Coupons\Model\Coupon:
  - code: Coupon
    value: '15.0000'
    type: '%'
    comment: 'Demo coupon code'
    dateRangeBegin: 1362430800

CDev\VolumeDiscounts\Model\VolumeDiscount:
  - value: 10
    type: '%'
    subtotalRangeBegin: 100

XC\News\Model\NewsMessage:
  - enabled: true
    date: 1362430800
    cleanURLs: 'asdasd'
    metaDescType: 'A'
    translations:
      - code: en
        name: 'test name'
        body: 'test body'
        brief_description: 'test brief description'

XLite\Model\Config:
  - {name: interval, category: BannerRotation, value: 10}
  - {name: pinterest_use, category: CDev\GoSocial, value: 0}
  - {name: rv_enabled, category: CDev\ProductAdvisor, value: 'N'}
  - {name: terms_conditions_confirm_type, category: General, value: 'Browsewrap'}
